> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete trashed article

> This API deletes a trashed article for good. It cannot be undone. For CLI sessions, this needs the Manage articles permission.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/trashed-articles.yaml DELETE /trashed_articles/{id}
openapi: 3.0.3
info:
  title: NeetoKB Trash API
  description: APIs to list, restore and permanently delete trashed articles.
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /trashed_articles/{id}:
    delete:
      tags:
        - Trash
      summary: Delete trashed article
      description: >-
        This API deletes a trashed article for good. It cannot be undone. For
        CLI sessions, this needs the Manage articles permission.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: path
          name: id
          description: >-
            Identifier of the trashed article, as its slug, permalink identifier
            or UUID. Get it from [List trashed articles](/api/trash/list).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK - Article deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notice_code_response'
        '401':
          $ref: '#/components/responses/unauthorized_response'
        '403':
          $ref: '#/components/responses/forbidden_response'
        '404':
          description: Not Found - The article does not exist or is not in the trash
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    notice_code_response:
      type: object
      properties:
        notice_code:
          type: string
          example: thumbs_up
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid
    forbidden_response:
      description: >-
        Forbidden - The CLI session does not have the permission this change
        needs

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.